summaryrefslogtreecommitdiffstats
path: root/src/cmd/shell.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/cmd/shell.sh')
-rw-r--r--src/cmd/shell.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/src/cmd/shell.sh b/src/cmd/shell.sh
index d964ec5..5da84e4 100644
--- a/src/cmd/shell.sh
+++ b/src/cmd/shell.sh
@@ -34,7 +34,9 @@ cmd_shell_main()
dev=''
if is_block "${root}"; then
dev="${root}"
- root="$(block_mount "${dev}")"
+ if ! root="$(block_mount "${dev}")"; then
+ return 2
+ fi
fi
if ! profile_detect "${root}"; then